package com.fuyuanshen.web.service.device.status.base;

import com.fuyuanshen.app.domain.dto.AppRealTimeStatusDto;

import java.util.Map;

// 规则接口
public interface DeviceStatusRule {

    /**
     * 获取命令类型
     * @return 命令类型
     */
    String getCommandType();

    boolean supports(String deviceType);

    Map<String, Object> getStatus(AppRealTimeStatusDto statusDto);
}